Subject: New Meetecho and IPv6

From: Bob Hinden <[email-masked]>
Date: Wed, 15 Jul 2020 10:03:26 -0700

Hi,

Earlier today I participated in the chair training session for Meetecho for the upcoming IETF meeting.  I am very pleased to report that Meetecho worked with IPv6!

Big improvement over our earlier tools.

Bob

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 15 Jul 2020 18:30:47 +0000

Agreed, I still have to check whether the media are also over IPv6 but this is really nice

-éric

-----Original Message-----
From: ipv6 <[email-masked]> on behalf of Bob Hinden <[email-masked]>
Date: Wednesday, 15 July 2020 at 19:04
To: IPv6 List <[email-masked]>
Cc: Bob Hinden <[email-masked]>
Subject: New Meetecho and IPv6

    Hi,

    Bob

---

From: Michael Richardson <[email-masked]>
Date: Wed, 15 Jul 2020 20:03:18 -0400

Bob Hinden <[email-masked]> wrote:
    > Earlier today I participated in the chair training session for Meetecho
    > for the upcoming IETF meeting.  I am very pleased to report that
    > Meetecho worked with IPv6!

It worked for me too!

    > Big improvement over our earlier tools.

Given this, I feel it might be important for the IESG to specify that all
IETF virtual meetings SHOULD be accessible from IPv6-only desktops.

{which isn't to say anything about whatever IPv4 support there is, but noting
one common tool from a big router company presently does not work with public
IPv4, only NAT44. }

Or do we have to write a draft for SHMOO?

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 16 Jul 2020 12:23:29 +0200

> Agreed, I still have to check whether the media are also over IPv6 

Great news.  I too can try that as soon as an URL is provided.  Often I 
can easily uncheck the IPv4 box in my Ethernet interface properties in 
Windows.

Alex

> 
> -éric
> 
> -----Original Message----- From: ipv6 <[email-masked]> on 
> behalf of Bob Hinden <[email-masked]> Date: Wednesday, 15 July 
> 2020 at 19:04 To: IPv6 List <[email-masked]> Cc: Bob Hinden 
> <[email-masked]> Subject: New Meetecho and IPv6
> 
> Hi,
> 
> Earlier today I participated in the chair training session for 
> Meetecho for the upcoming IETF meeting.  I am very pleased to report 
> that Meetecho worked with IPv6!
> 
> --------------------------------------------------------------------
>  IETF IPv6 working group mailing list [email-masked] Administrative 
> Requests: https://www.ietf.org/mailman/listinfo/ipv6 
> --------------------------------------------------------------------
>

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 17 Jul 2020 06:49:46 +0000

Michael,

Rest assure, I am not the only IESG member agreeing with your statement below about having IETF tools being IPv6 capable... but indeed we need to keep a sharp eye

See also the ballot on the IPv4-only GIT WG ... but, Meetecho is rather modern and advanced (OK current UI could be improved ;-) )

-éric

-----Original Message-----
From: ipv6 <[email-masked]> on behalf of Michael Richardson <[email-masked]>
Date: Thursday, 16 July 2020 at 02:05
To: Bob Hinden <[email-masked]>
Cc: IPv6 List <[email-masked]>
Subject: Re: New Meetecho and IPv6

    It worked for me too!

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 17 Jul 2020 11:09:05 +0200

Le 17/07/2020 à 08:49, Eric Vyncke (evyncke) a écrit :
> Michael,
> 
> Rest assure, I am not the only IESG member agreeing with your
> statement below about having IETF tools being IPv6 capable... but
> indeed we need to keep a sharp eye
> 
> See also the ballot on the IPv4-only GIT WG ... but, Meetecho is
> rather modern and advanced (OK current UI could be improved ;-) )

Modern, modern... ys, I agree in many senses.  Meetecho is a great tool
and is reported to work ok on IPv6.  It has queue management system.
'Queue' is when people line up for the microphone, an old IETF feature,
absent from other tools; the practice dates from 1990; that was even
practiced at the highest political levels in a large country's
parliament at that time.

There are so many other features constantly evolving.  I am discovering
new things everyday in the other tools, that some do support and others no.

Take for example the background blur - is meetecho having it?  Do we
need it?

The codecs - are there the best codecs available?

Is audio over HDMI over USB 3 supported? (so I can project it on a wall
and comfortably hear the sound from larger speakers, thus approaching
more a real meeting experience).

Etc.

Or are we going again to make a last minute requirement to stop sending
videos and so reduce our capability to interact?

Alex

> behalf of Michael Richardson <[email-masked]> Date: Thursday,
> 16 July 2020 at 02:05 To: Bob Hinden <[email-masked]> Cc: IPv6
> List <[email-masked]> Subject: Re: New Meetecho and IPv6
> 
> 
>> Meetecho for the upcoming IETF meeting.  I am very pleased to
>> report that Meetecho worked with IPv6!
> 
> It worked for me too!
> 
> Given this, I feel it might be important for the IESG to specify that
> all IETF virtual meetings SHOULD be accessible from IPv6-only
> desktops.
> 
> {which isn't to say anything about whatever IPv4 support there is,
> but noting one common tool from a big router company presently does
> not work with public IPv4, only NAT44. }
> 
> -- Michael Richardson <[email-masked]>, Sandelman Software
> Works -= IPv6 IoT consulting =-
> 
> 
> 
>

---

From: Michael Richardson <[email-masked]>
Date: Fri, 17 Jul 2020 11:02:18 -0400

Eric Vyncke (evyncke) <[email-masked]> wrote:
    > See also the ballot on the IPv4-only GIT WG ... but, Meetecho is rather
    > modern and advanced (OK current UI could be improved ;-) )

I feel that that github is less important in some ways.

a) I know for sure that github.com works with NAT64 (I use it regularly).

b) I can git clone to other places, like my own gitlab/gitoris/..
   What is more difficult is the github issue discussion.
   While I have been a user of it, I am more concerned about how it removes
   from ML discussion than I am concerned about the lack of IPv6.
   That is, I think that we need to think about a bigger picture here.
   While the QUIC/TLS/HTTP2 people certainly know how to use github,
   I am less convinced about quite a number of other IETF participants.
   [actually, I wish github was IPv6-only.... you must be this tall...]

c) I feel more confident that Microsoft/Github will get their shit together
   about IPv6 support than I do that webex will.
   (if webex doesn't work with public IPv4, it is not going to work with
   public IPv6)
   webex does not support IPv6 or public IPv4 today. meetecho does.
   We should be moving all virtual interims to meetecho, IMHO.

---

From: Michael Richardson <[email-masked]>
Date: Fri, 17 Jul 2020 11:10:46 -0400

> Take for example the background blur - is meetecho having it?  Do we

1) we don't need it because mostly we don't need much video.
   Even gallery-style Video is not that useful when you have 20+ people.

2) It can be done locally via virtual video cameras for those who have
   CPU/GPU to spare.

   https://github.com/fangfufu/Linux-Fake-Background-Webcam     [no IPv6, alas]

   Background
   Video conferencing software support for background blurring and background
   replacement under Linux is relatively poor. The Linux version of Zoom only
   supports background replacement via chroma key. The Linux version of
   Microsoft Team does not support background blur. Over at Webcamoid, we
   tried to figure out if we can do these reliably using open source software
   (issues/250).

   Benjamen Elder wrote a blog post, describing a background replacement
   solution using Python, OpenCV, Tensorflow and Node.js. The scripts in
   Elder's blogpost do not work out of box. In this repository, I tidied up
   his scripts, and provide a turn-key solution for creating a virtual webcam
   with background replacement and additionally foreground object placement,
   e.g. a podium.

   Unlike the original blog post this can work with CPU-only. It checks for
   the presence of /dev/nvidia0 to determine if there is a GPU present. By
   downscaling the image sent to bodypix neural network, and upscaling the
   received mask, this whole setup runs sufficiently fast under Intel
   i7-4900MQ.

3) surely background blur can be implemented in a distributed CPU fashion
   using IPv6 Link-Local Addresses, and MPEG-over-RA-generic-option.
   {see, I had to make sure there was some real IPv6 content}
   If not, I propose: ICMPv6 echo marco / ICMPv6 echo polo.

---

From: Bob Hinden <[email-masked]>
Date: Fri, 17 Jul 2020 08:13:53 -0700

Michael,

> On Jul 17, 2020, at 8:02 AM, Michael Richardson <[email-masked]> wrote:
> 
> 

I agree.   I think the IETF should have a strong preference for tools that support IPv6 (dual stack and IPv6-Only).  Now that we have Meetecho we should use it for all online meetings.

Bob

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 17 Jul 2020 17:21:23 +0200

>     We should be moving all virtual interims to meetecho, IMHO.

Webex also uses IPv4 numbers to dial in, such as: "You can also dial 
173.243.2.68 and enter your meeting number." in a recent announcement in 
the v6ops WG.

I suspect that operation of dialing works with digits 1 to 9 and 0, 
because these are present on the old round dials of telephones.  And 
because an IPv4 address only has 12 digits or so.

One would wonder how to translate that convenient dialing operation into 
an even more convenient way but with IPv6.  One possibility would be to 
consider easy to remember IPv6 addresses (like '1::cafe:code') and use 
the letters present on the newer dials.

(see in the v6ops WG an announcement of the meeting, here is an excerpt:
> Join by phone
> Tap to call in from a mobile device (attendees only)
> 1-650-479-3208 Call-in toll number (US/Canada)
> Global call-in numbers
>  
> Join from a video system or application
> Dial [email-masked]
> You can also dial 173.243.2.68 and enter your meeting number.
>  
> Join using Microsoft Lync or Microsoft Skype for Business
> Dial [email-masked]
>  

Alex

)
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6